gnutls_error_is_fatal(3)

NAME
gnutls_error_is_fatal - Returns non-zero in case of a fatal error

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_error_is_fatal(int error);

ARGUMENTS

int error
    is a GnuTLS error code, a negative value

DESCRIPTION
If a GnuTLS function returns a negative value you may feed that value to this function to see if the error condition is fatal. Note that you may want to check the error code manually, since some non-fatal errors to the protocol may be fatal for you program. This function is only useful if you are dealing with errors from the record layer or the handshake layer.

RETURNS
1 if the error code is fatal, for positive error values, 0 is returned. For unknown error values, -1 is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.